Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet
Class ConnectionPool.DefaultInputStream

    java.lang.Object
      java.io.InputStream
          php.java.servlet.ConnectionPool.DefaultInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  ConnectionPool

    public static class ConnectionPool.DefaultInputStream

extends java.io.InputStream

Default InputStream used by the connection pool.

Author:
  jostb

Constructor Summary
`ConnectionPool.DefaultInputStream()`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] buf)`
`int` | `read(byte[] buf, int off, int buflength)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPool.DefaultInputStream

    public ConnectionPool.DefaultInputStream()

Method Detail

### read

    public int read(byte[] buf)
             throws ConnectionPool.ConnectionException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### read

    public int read(byte[] buf,
                    int off,
                    int buflength)
             throws ConnectionPool.ConnectionException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### read

    public int read()
             throws ConnectionPool.ConnectionException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `ConnectionPool.ConnectionException`

### close

    public void close()
               throws ConnectionPool.ConnectionException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `ConnectionPool.ConnectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD